Difference between revisions of "ITK/Prerequisites"

From KitwarePublic
< ITK
Jump to navigationJump to search
m (Reverted edits by NftRxc (Talk); changed back to last version by Andy)
m (update max g++ version)
Line 11: Line 11:
 
** Other POSIX systems ?
 
** Other POSIX systems ?
 
* A supported compiler and toolchain:
 
* A supported compiler and toolchain:
** GNU gcc 2.95 - 3.3
+
** GNU gcc 2.95 - 4.1
 
** Microsoft Visual C++ 6, 7, 2003
 
** Microsoft Visual C++ 6, 7, 2003
 
** Intel C++ 5.0
 
** Intel C++ 5.0

Revision as of 16:14, 3 January 2008

ITK requires very little in the way of external libraries (although it can be configured to use the system libraries if present).

  • A supported platform:
    • GNU/Linux (Red Hat, Debian, Gentoo, Mandrake, etc)
    • Sun Solaris
    • IBM AIX
    • SGI Irix
    • Apple Mac OS X
    • Microsoft Windows
    • The BSD family (OpenBSD, NetBSD, FreeBSD) ?
    • Other POSIX systems ?
  • A supported compiler and toolchain:
    • GNU gcc 2.95 - 4.1
    • Microsoft Visual C++ 6, 7, 2003
    • Intel C++ 5.0
    • SGI Irix CC
    • Borland C++ 5.0
  • The ["CMake"] build tool (version 1.8.3 or later) from http://www.cmake.org/
    • Ensure CMake is correctly installed

ITK comes with several libraries, and can be configured to use system libraries for the following:

  • libpng
  • libjpeg
  • libtiff
  • libexpat

See Also:



ITK: [Welcome | Site Map]